import { ComponentErrorSeverity } from "../../api";
import { getErrorCode, getErrorMessage } from "../../api/services/utils";
export const makeOrderTerminals = ({ authToken, service, apiOrigin = PROXY_API_ORIGIN }) => async ({ terminalOrder, onSuccess, onError }) => {
    var _a;
    try {
        const response = await service.orderTerminals(authToken, terminalOrder, apiOrigin);
        if (!response.error) {
            const { data } = response;
            onSuccess({ data });
        }
        else {
            const responseError = getErrorMessage(response.error);
            const code = getErrorCode((_a = response.error) === null || _a === void 0 ? void 0 : _a.code);
            return onError({
                error: responseError,
                code,
                severity: ComponentErrorSeverity.ERROR,
            });
        }
    }
    catch (error) {
        const code = getErrorCode(error === null || error === void 0 ? void 0 : error.code);
        return onError({
            error: error.message || error,
            code,
            severity: ComponentErrorSeverity.ERROR,
        });
    }
};
